---
title: vultr_iso_private
url: https://docs.vultr.com/reference/terraform/data-sources/iso_private
description: Retrieves details about a private ISO file uploaded to your Vultr account using filters.
publish_date: 2025-09-15T13:33:20.161083Z
last_updated: 2025-09-15T14:14:41.591207Z
---

# vultr_iso_private

Get information about an ISO file uploaded to your Vultr account.

## Example Usage

Get the information for a ISO file by `filename`:

```hcl
data "vultr_iso_private" "my_iso" {
  filter {
    name   = "filename"
    values = ["my-iso-filename"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding ISO files.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `filename` - The ISO file's filename.
* `status` - The status of the ISO file.
* `size` - The size of the ISO file in bytes.
* `md5sum` - The md5 hash of the ISO file.
* `sha512sum` - The sha512 hash of the ISO file.
* `date_created` - The date the ISO file was added to your Vultr account.